---
title: mask-border-source
slug: Web/CSS/mask-border-source
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - NeedsCompatTable
  - NeedsExample
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-border-source</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the source image used to create an element's <a href="/en-US/docs/Web/CSS/mask-border">mask border</a>.</p>

<p>The {{cssxref("mask-border-slice")}} property is used to divide the source image into regions, which are then dynamically applied to the final mask border.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
mask-border-source: none;

/* &lt;image&gt; values */
mask-border-source: url(image.jpg);
mask-border-source: linear-gradient(to top, red, yellow);

/* Global values */
mask-border-source: inherit;
mask-border-source: initial;
mask-border-source: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>No mask border is used.</dd>
 <dt>{{cssxref("&lt;image&gt;")}}</dt>
 <dd>Image reference to use for the mask border.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<p>This property doesn't appear to be supported anywhere yet. When it eventually starts to be supported, it will serve to define the source of the border mask.</p>

<pre class="brush: css notranslate">mask-border-source: url(image.jpg);</pre>

<p>Chromium-based browsers support an outdated version of this property — <code>mask-box-image-source</code> — with a prefix:</p>

<pre class="brush: css notranslate">-webkit-mask-box-image-source: url(image.jpg);</pre>

<div class="notecard note">
<p><strong>Note</strong>: The <code><a href="/en-US/docs/Web/CSS/mask-border">mask-border</a></code> page features a working example (using the out-of-date prefixed border mask properties supported in Chromium), so you can get an idea of the effect.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Masks", "#propdef-mask-border-source", "mask-border-source")}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-border-source")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li>{{cssxref("mask-border")}}</li>
  <li>{{cssxref("mask-border-mode")}}</li>
  <li>{{cssxref("mask-border-outset")}}</li>
  <li>{{cssxref("mask-border-repeat")}}</li>
  <li>{{cssxref("mask-border-width")}}</li>
</ul>
